/***************************************
*                                      *
*   Copyright (c) 2007 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/

/*-------------------------------------------------------------------
 * InitLaTeX.h		Jean-Eric Pin 31/05/07
 *-------------------------------------------------------------------
 */ 		

#define	LIGNE_MAX              34500000L  /* Normalement 34500000L */
#define	LATEX_PREMIER_EXPOSANT	448613L
#define	LATEX_EXPOSANT	        398613L
#define LATEX_MOT_VIDE         500002L
#define LATEX_VIRGULE	         444441L
#define LATEX_ES               4077766L
#define LATEX_KS               4202768L
#define LATEX_IDEAL            3525226L  /* $uS^1 = \{$ ou $S^1u = \{$ */
#define LATEX_IDEAL_MINIMAL    2351378L  /* $I = \{$ */
#define LATEX_LOCAL            3435408L  /* $eSe = \{$ */
#define LATEX_TO               2055545L  /* ${}\to{}\{$ */

long LongueurLaTeXMotNonVide(unsigned long n);
long LongueurLaTeXMot(unsigned long n);
long LongueurLaTeXMotSemiReduite(unsigned long n);
void LongueurLaTeXNormale(void) ;
void LongueurLaTeXSemiReduite(void);
void LongueurLaTeX(void);

