/***************************************
*                                      *
*   Copyright (c) 1998 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/

/*-------------------------------------------------------------------
 * Matrices.h		Jean-Eric Pin 07/12/96
 *-------------------------------------------------------------------
 */ 		

typedef long **Matrice;				/* Matrice tropicale ou entiere */

void CopieMatrices(element x, element y);
short EstEgalMatrices(element x, element y);
long SeuilPeriode(long x);
void EntreeSeuil(void);
void EntreePeriode(void);
void EntreeSemiAnneauZst(void);
void SauvegardeMatrices(FILE *MyFile);
void LectureMatrices(FILE *MyFile);
void EntreeMatricesEntieres(void);
void ProduitMatricesEntieres(element x, element y, element xy);
unsigned long HachageMatrices(element x);
unsigned long HachageSecondaireMatrices(element x);
void FaireIdentiteMatricesEntieres(element x);
void SortieMatricesEntieres(element x);
void SortieLaTeXMatricesEntieres(element x, FILE *MyFile);
element AlloueMemoireMatrice(void);
void LibereMemoireMatrice(element Element);
