/***************************************
*                                      *
*   Copyright (c) 1998 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/

/*-------------------------------------------------------------------
 * Globales.h		Jean-Eric Pin 07/12/96
 *-------------------------------------------------------------------
 */ 		

#define VERSION 2.01F

enum Messages
{
	M_Version = 0,
	M_Author,
	M_Date,
	M_Type_of_computation,

/* Menu principal */
	M_Give_your_choice,
	M_Semigroup,
	M_Monoid,
	M_Syntactic_Semigroup,
	M_Syntactic_Monoid,
	M_Standard_example,
	M_Read_a_file,
	M_Prefs,
	
/* Menu LaTeX */
	Menu_Sortie_LaTeX,
	Menu_LaTeX_Reduit,
	
/* Menu Semigroupe */
	M_Size_alphabet,
	M_Type_of_semigroup,
	M_Transitions,
	M_Partial_transitions,
	M_Boolean_matrices,
	M_MaxPlus_matrices,
	M_MinPlus_matrices,
	M_MaxPlusTrop_matrices,
	M_MinPlusTrop_matrices,
	M_MaxPlusProj_matrices,
	M_Matrices_integer_coefficients,
	M_Presentation,
	M_Use_Initial_Final,
	M_Use_Final,
	M_Size_at_most,
	M_Size_should_be,
	M_Reverse_semigroup,
	M_Save_generators,
	M_Of_monoid,
	M_Of_semigroup,
	
/* Menu Exemples */
	M_Symmetric_group,
	M_Monoid_Tn,
	M_Monoid_Fn,
	M_Monoid_In,
	M_Monoid_Multn,
	M_Monoid_RBn,
	M_Monoid_On,
	M_Monoid_POIn,
	M_Monoid_POPIn,
	M_GroupZn,
	M_Semigroup_BAn,
	M_Monoid_BAn,
	M_Triangular_Boolean_matrices,
	M_Unitriangular_Boolean_matrices,
	M_Syntactic,
	M_Threshold_Counter,
	M_Two_little_matrices,
	M_LJ_not_in_B1,
	M_Example_transitions_semigroup,
	M_Example_Boolean_matrices,
	M_Example_matrices_integer_entries,
	M_Example_matrices_MaxPlus,
	
/* Menu Preferences */
  M_Langue,
  M_Chemin_Exemples,
  M_Chemin_ExemplesLaTeX,
	
/* Utilitaires */
	M_Give_the_value_of_n,
	M_at_most,
	M_The_size_of,
	M_this_semi,
	M_This_semi,
	M_this_mono,
	M_This_mono,
	M_is,

/* Menu varietes */
	M_Which_variety,
	M_DA,
	M_DS,
	M_RvL,
	M_L1,
	M_LG,
	M_B1,
	M_B1Plus,
	M_Ecom,
	M_BG,

/* Options */
	M_Options,
	M_List_of_elements,
	M_List_of_relations,
	M_List_of_idempotents,
	M_SyntacticOrder,
	M_MinimalIdeal,
	M_GreenRelations,
	M_Inverses,
	M_Local_monoid,
	M_Right_Ideal,
	M_Left_Ideal,
	M_Computation_element,
	M_Kernel,
	M_Variety_tests,
	M_Do_another_computation, 
	M_Quit_Semigroupe,
	
	M_Give_idempotent,
	M_Give_word,
	M_Is_not_idempotent,
	M_Generators,
	M_Relations,
	M_The_Rclasses,
	M_The_Lclasses,
	M_The_Dclasses,
	
/* Sortie varietes, reponses positives */
	M_Is_commutative,
	M_Is_in_Bands,
	M_Is_in_J1,
	M_Is_Nil,
	M_Is_aperiodic,
	M_Is_in_G,
	M_Is_Jtrivial,
	M_Is_Rtrivial,
	M_Is_Ltrivial,
	M_Is_in_DA,
	M_Is_in_DS,
	M_Is_in_RvL,
	M_Is_in_L1,
	M_Is_in_LG,
	M_Is_in_B1,
	M_Is_in_B1Plus,
	M_Is_in_Ecom,
	M_Is_in_BG,
	
/* Sortie varietes, reponses negatives */
	M_Is_not_commutative,
	M_Is_not_in_Bands,
	M_Is_not_in_J1,
	M_Is_not_in_Nil,
	M_Is_not_aperiodic,
	M_Is_not_in_G,
	M_Is_not_RLtrivial,
	M_Is_not_Rtrivial,
	M_Is_not_Ltrivial,
	M_Is_not_in_DA,
	M_Is_not_in_DS,
	M_Is_not_in_RvL,
	M_Is_not_in_L1,
	M_Is_not_in_LG,
	M_Is_not_in_B1,
	M_Is_not_in_B1Plus,
	M_Is_not_in_Ecom,
	M_Is_not_in_BG,
	
/* Sortie varietes, justificatifs */
	M_Is_different,
	M_because_uu,
	M_because_u_omega,
	M_because_DA,
	M_because_DS,
	M_because_RvL,
	M_because_L1,
	M_because_LG,
	M_because_B1,
	M_because_B1Plus,
	M_because_Ecom,
	M_because_BG,

/* Calculs en cours */
	M_Computing_idempotents,
	M_Computation_idempotents_over,
	M_No_zero,
	M_Number_of_elements,
	M_Number_of_idempotents,
	M_Number_of_relations,
	M_Computation_over,
	M_Computation_Rclasses,
	M_Computation_Rclasses_over,
	M_Rclass,
	M_Rclasses,
	M_Computation_Lclasses,
	M_Computation_Lclasses_over,
	M_Lclass,
	M_Lclasses,
	M_Computation_Dclasses,
	M_Computation_Dclasses_over,
	M_Dclass,
	M_Dclasses,
	M_Computation_Hclasses,
	M_Computation_Hclasses_over,
	M_Hclass,
	M_Hclasses,
	M_Computation_Inverses,
	M_Computation_WeakInverses,
	M_Time_Elements,
	M_Time_Dclasses,
	M_Time_Hclasses,
	M_Time_Blocs,
	M_Time_Idempotents,
	M_Time_Total,
	M_TheEnd,
	
/* Differents types de semigroupes */
	M_Semiring,
	M_Threshold_semiring,
	M_Period_semiring,
	M_Z_st, 
	M_Semiring_minus_infinity,
	M_Semiring_plus_infinity,
	M_Type_minus,
	M_Type_plus,
	M_Number_of_letters,
	M_Number_of_states,
	M_Size_matrices,
	M_Size_matrices_question_mark,
	M_Size_Boolean_matrices,
	
/* Problemes de memoire */
	M_Pb_memory,
	M_Pb_matrix,
	M_Pb_products,
	M_Pb_generators,
	M_Pb_transition_table,
	M_Pb_table,
	M_Pb_hash_table,
	M_Pb_table_elements,
	M_Pb_word,
	M_Pb_transitions,
	M_Pb_graph,
	M_Pb_liste,
	M_Pb_initial_states,
	M_Pb_final_states,
	M_Pb_messages,
	M_FreeMemory,
		
/* Fichiers */
	M_Give_name_file,
	M_Give_name_LaTeXfile,
	M_Pb_creation,
	M_Pb_closure,
	M_Pb_opening,
	M_Upper_bound,
	M_Path_Examples,
	M_Path_LaTeX,
	M_Path_exists,
	M_Path_UNIX_Examples,
	M_Path_WINDOWS_Examples,
	M_Path_UNIX_LaTeX,
	M_Path_WINDOWS_LaTeX,

/* Preordre syntactique */
	M_Initial,
	M_Final,
	M_P,

/* Derniere ligne */
	M_Last_Line
};
