/***************************************
*                                      *
*   Copyright (c) 1998 Jean-Eric Pin   *
*   All rights reserved.               *
*                                      *
*   TAB = 2 spaces                     *
*                                      *
***************************************/

/*-------------------------------------------------------------------
 * Reduction.h		Jean-Eric Pin 07/12/96
 *-------------------------------------------------------------------
 */ 		

unsigned long Reduction(lettre *Mot);
unsigned long ProduitParReduction(unsigned long x1, unsigned long x2);
unsigned long ProduitParReductionRecursif(unsigned long n1, unsigned long n2);
info *ProduitParReductionInfo(info *n1, info *n2);
unsigned long xOmega(unsigned long x);
void Calcul_eSe_Brutal(unsigned long e);   /* Par force brute ! A modifier */
void CalculMonoideLocal(unsigned long e);
void CalculMonoideLocalMot(lettre *Mot);
void ParcoursDroit(unsigned long s);   /* Parcours en profondeur du graphe droit */
void ParcoursGauche(unsigned long s);  /* Parcours en profondeur du graphe gauche */
void CalculIdealDroit(unsigned long s);   /* Idal  droite engendr par s */
void CalculIdealGauche(unsigned long s);   /* Idal  gauche engendr par s */

